summaryrefslogtreecommitdiffstats
path: root/scripts/min-tool-version.sh
diff options
context:
space:
mode:
authorSven Schnelle <svens@linux.ibm.com>2026-09-09 11:29:53 +0200
committerMasami Hiramatsu (Google) <mhiramat@kernel.org>2026-09-10 08:43:35 +0900
commitd22c3e0088e85be8131f7a9283f759cdbb20726d (patch)
tree9668df2aa27b26f850d3ba5ba1287e443803675c /scripts/min-tool-version.sh
downloadlinux-stable-d22c3e0088e85be8131f7a9283f759cdbb20726d.tar.gz
linux-stable-d22c3e0088e85be8131f7a9283f759cdbb20726d.zip
selftests/ftrace: Fix unique symbol check in kprobe_non_uniq_symbol.tcgrafted
The current regex also matches symbols in modules, which makes the test fail on s390 where name_show is present only once in the kernel, but also multiple times in modules: 000001b1401cdc20 t name_show 000001b0c05e6c40 t name_show [mdev] 000001b0c0495f30 t name_show [i2c_core] Fix this by changing the regular expression to only match the function name. Link: https://lore.kernel.org/all/20260909092954.2200558-1-svens@linux.ibm.com/ Fixes: 03b80ff8023a ("selftests/ftrace: Add new test case which checks non unique symbol") Signed-off-by: Sven Schnelle <svens@linux.ibm.com> Reviewed-by: Steven Rostedt <rostedt@goodmis.org> Signed-off-by: Masami Hiramatsu (Google) <mhiramat@kernel.org>
Diffstat (limited to 'scripts/min-tool-version.sh')
-rwxr-xr-xscripts/min-tool-version.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/scripts/min-tool-version.sh b/scripts/min-tool-version.sh
new file mode 100755
index 000000000..99bfdcaa3
--- /dev/null
+++ b/scripts/min-tool-version.sh
@@ -0,0 +1,49 @@
+#!/bin/sh
+# SPDX-License-Identifier: GPL-2.0-only
+#
+# Print the minimum supported version of the given tool.
+# When you raise the minimum version, please update
+# Documentation/process/changes.rst as well.
+
+set -e
+
+if [ $# != 1 ]; then
+ echo "Usage: $0 toolname" >&2
+ exit 1
+fi
+
+case "$1" in
+binutils)
+ echo 2.30.0
+ ;;
+gcc)
+ if [ "$ARCH" = parisc64 ]; then
+ echo 12.0.0
+ else
+ echo 8.1.0
+ fi
+ ;;
+llvm)
+ if [ "$SRCARCH" = loongarch ]; then
+ echo 18.0.0
+ else
+ echo 17.0.1
+ fi
+ ;;
+rustc)
+ if [ "$SRCARCH" = "s390" ]; then
+ echo 1.96.0
+ elif [ "$ARCH" = powerpc ]; then
+ echo 1.95.0
+ else
+ echo 1.85.0
+ fi
+ ;;
+bindgen)
+ echo 0.71.1
+ ;;
+*)
+ echo "$1: unknown tool" >&2
+ exit 1
+ ;;
+esac